// Generated by CoffeeScript 1.10.0
var bits, compile, compiler, compilers, err, error, ext, ref, vigilOpts;

compilers = require('./compilers');

vigilOpts = {
  exclude: opts.exclude,
  include: opts.include,
  patch: false
};

ref = opts.compilers;
for (ext in ref) {
  compiler = ref[ext];
  if (typeof compiler === 'string') {
    try {
      bits = compiler.split('.');
      compiler = require(bits.shift());
      while (bits.length) {
        compiler = compiler[bits.shift()];
      }
      compilers[ext] = compiler;
    } catch (error) {
      err = error;
      console.log(err);
    }
  } else {
    compilers[ext] = compiler;
  }
}

compile = function(filename, cb) {
  if (cb == null) {
    cb = function() {};
  }
  return compilers.compile(filename, function(err, compiled) {
    if (filename.indexOf(opts.workDir === 0)) {
      filename = (filename.replace(opts.workDir, '')).replace(/^\//, '');
    }
    if (err != null) {
      log.error("failed to compile " + filename);
      console.error(err.stderr != null ? err.stderr : err.stack);
      return;
    }
    if (compiled) {
      log.compiled(filename);
    }
    return cb(null, compiled);
  });
};

module.exports = function(opts) {
  if (opts.compile) {
    return vigil.walk(opts.workDir, vigilOpts, function(filename) {
      if (opts.compile) {
        return compile(filename);
      }
    });
  }
};

//# sourceMappingURL=build.js.map
